; Hybrid peck/deep hole drilling macro
;  Do G73 to 4x cutter diameter
;  then do G83-style, pulling to surface between pecks
;  Arguments:
;     X, Y  Location of hole
;     Z     Final depth
;     R     Rapid-to depth
;     I     Peck increment for chip breaking
;     J     Peck increment for deep-hole
;     F     Feedrate
;
;  Notes:
;     Only works in absolute mode (G90), I point return (G98)
;     Ends with tool at R plane
;     Does not know/use surface height
;
;  Example:
;
;    G65 P7383 X1 Y2 Z-4 R.1 I.2 J.15 F6
;
O7383
 G90 G98
 #101 = #5043
 G0 X#X Y#Y Z#R
 #102 = #R - [4.0 * #11000]
 IF [#102 LT #Z] THEN #102 = #Z
 G73 X#X Y#Y Z#102 R#R Q#I F#F
 N20 IF [#102 LE #Z] THEN GOTO 30
  #103 = #102+#9083
  #102 = #102 - #J
  IF [#102 LT #Z] THEN #102 = #Z
  G81 X#X Y#Y Z#102 R[#103]
  GOTO 20
 N30
 G80
; G0 Z#101  ; uncomment for return to initial Z level
M99
